diff --git a/app/models/changeset.rb b/app/models/changeset.rb
index 87b8e09..49a3855 100644
--- a/app/models/changeset.rb
+++ b/app/models/changeset.rb
@@ -78,7 +78,7 @@ class Changeset < ActiveRecord::Base
   end
   
   def before_create
-    self.committer = self.class.to_utf8(self.committer, repository.repo_log_encoding)
+    self.committer = self.class.to_utf8_for_repositories(self.committer, repository.repo_log_encoding)
     self.comments  = self.class.normalize_comments(self.comments, repository.repo_log_encoding)
     self.user = repository.find_committer_user(self.committer)
   end
@@ -237,7 +237,7 @@ class Changeset < ActiveRecord::Base
 
   # Strips and reencodes a commit log before insertion into the database
   def self.normalize_comments(str, encoding)
-    Changeset.to_utf8(str.to_s.strip, encoding)
+    Changeset.to_utf8_for_repositories(str.to_s.strip, encoding)
   end
 
   private
diff --git a/app/views/common/_diff.rhtml b/app/views/common/_diff.rhtml
index f7f40fb..b4327ae 100644
--- a/app/views/common/_diff.rhtml
+++ b/app/views/common/_diff.rhtml
@@ -5,7 +5,7 @@
 <% if diff.diff_type == 'sbs' -%>
 <table class="filecontent">
 <thead>
-<tr><th colspan="4" class="filename"><%=to_utf8 table_file.file_name %></th></tr>
+<tr><th colspan="4" class="filename"><%=to_utf8_for_attachments table_file.file_name %></th></tr>
 </thead>
 <tbody>
 <% table_file.each_line do |spacing, line| -%>
@@ -17,11 +17,11 @@
 <tr>
   <th class="line-num"><%= line.nb_line_left %></th>
   <td class="line-code <%= line.type_diff_left %>">
-    <pre><%=to_utf8 line.html_line_left %></pre>
+    <pre><%=to_utf8_for_attachments line.html_line_left %></pre>
   </td>
   <th class="line-num"><%= line.nb_line_right %></th>
   <td class="line-code <%= line.type_diff_right %>">
-    <pre><%=to_utf8 line.html_line_right %></pre>
+    <pre><%=to_utf8_for_attachments line.html_line_right %></pre>
   </td>
 </tr>
 <% end -%>
